package com.zjrs.zwnw.psam.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.psam.dto.PsamDcDTO;
import com.zjrs.zwnw.psam.dto.PsamKglDTO;

import jakarta.servlet.http.HttpServletResponse;
import java.util.List;

public interface PsamDcBLO extends IBLO{
    //查询列表
    public PageResult getList(PsamKglDTO dto, int page, int rows);
    //查询列表
    public List<PsamDcDTO> dcList(PsamKglDTO dto);
    public void exportExcel(PsamKglDTO dto, HttpServletResponse res) ;
    public void exportTxt(PsamKglDTO dto, HttpServletResponse res) ;

}
